Name:          fdupes
Version:       1.51
Release:       1mamba
Summary:       A program for identifying or deleting duplicate files residing within specified directories.identifying or deleting duplicate files
Group:         Applications/File
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://code.google.com/p/fdupes/
Source0:       https://fdupes.googlecode.com/files/fdupes-%{version}.tar.gz
# from opensuse
Source1:       macros.fdupes
Patch0:        fdupes.diff
Patch1:        fdupes-sort-output.diff
Patch2:        fdupes-speedup.patch
Patch3:        fdupes-endianness.patch
License:       MIT
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
FDUPES is a program for identifying or deleting duplicate files residing within specified directories.

%prep
%setup -q
#%patch0
#%patch1
#%patch2 -p0 -b .speedup
%patch3 -p1 -b .endianness

%build
%make

%check
./fdupes testdir
./fdupes --omitfirst testdir
./fdupes --recurse testdir
./fdupes --size testdir

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_sysconfdir}/rpm
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

install -pm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/rpm/macros.fdupes
install -pm 755 fdupes %{buildroot}%{_bindir}/fdupes
install -pm 644 fdupes.1 %{buildroot}%{_mandir}/man1/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/rpm/macros.fdupes
%{_bindir}/fdupes
%{_mandir}/man1/fdupes.1.gz
%doc CHANGES README TODO

%changelog
* Mon May 13 2013 Automatic Build System <autodist@mambasoft.it> 1.51-1mamba
- update to 1.51

* Wed Jun 02 2010 gil <puntogil@libero.it> 1.40-1mamba
- package created by autospec
